Bug 186139 - shouldn't print the literal pid in --help
shouldn't print the literal pid in --help
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: systemtap (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Frank Ch. Eigler
Jay Turner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-21 15:45 EST by Bill Nottingham
Modified: 2015-01-07 19:12 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-31 13:34:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bill Nottingham 2006-03-21 15:45:29 EST
Description of problem:

# stap --help 2>&1| grep -- -m
   -m MODULE  set probe module name, instead of stap_24898

Probably should state that it's stap_<pid>, not a literal number.

Version-Release number of selected component (if applicable):

0.5.4-2.2
Comment 1 Frank Ch. Eigler 2006-03-22 12:59:15 EST
Do you feel really strongly about this?  All the "instead of ..." messages print
the current value (after fixed initialization and after prior command line options).
Comment 2 Bill Nottingham 2006-03-22 14:15:17 EST
Well, I feel it's strange that it's printing a value that's guaranteed to be
incorrect if you run it again.
Comment 3 Frank Ch. Eigler 2006-07-31 13:34:09 EDT
I understand your concern, and appreciate your attention.  Still, I think the
problem is not big enough to worry about special-casing.  (As for "stap_<pid>"
instead, that too taken literally is guaranteed incorrect. :-)

Note You need to log in before you can comment on or make changes to this bug.